package biz

import (
	"ai_scheduler/internal/biz/do"
	"ai_scheduler/internal/biz/llm_service"
	"ai_scheduler/internal/biz/llm_service/third_party"

	"github.com/google/wire"
)

var ProviderSetBiz = wire.NewSet(
	NewAiRouterBiz,
	NewSessionBiz,
	NewChatHistoryBiz,
	//llm_service.NewLangChainGenerate,
	llm_service.NewOllamaGenerate,
	llm_service.NewVllmService,
	//handle.NewHandle,
	do.NewDo,
	do.NewHandle,
	NewTaskBiz,
	NewDingTalkBotBiz,
	NewQywxAppBiz,
	NewGroupConfigBiz,
	do.NewMacro,
	NewCallbackBiz,
	NewAdviceFileBiz,
	third_party.NewHsyq,
	NewAdviceAdvicerBiz,
	NewAdviceSkillBiz,
	NewAdviceProjectBiz,
	NewAdviceClientBiz,
	NewAdviceChatBiz,
)
